<?php /**
 * The template for displaying Author pages.
 *
 */ ?>
<?php get_header(); ?>
<!--Start Page navi bg-->
<div class="page_navi_bg">
    <!--Start Container-->
    <div class="container_24">
        <div class="grid_24">
            <!--Start Page navi-->
            <div class="page_navi">
                <?php if (function_exists('inkthemes_breadcrumbs')) inkthemes_breadcrumbs(); ?>
            </div>
            <!--End Page navi-->
        </div>
    </div>
    <!--End Container-->
</div>
<!--End Page navi bg-->
<!--Start Container-->
<div class="container_24">
    <!--Start  content wrapper-->
    <div class="grid_24 content_wrapper">
        <div class="grid_18 alpha">
            <!--Start Content-->
            <div class="content">
                <?php
                /* Queue the first post, that way we know who
                 * the author is when we try to get their name,
                 * URL, description, avatar, etc.
                 *
                 * We reset this later so we can run the loop
                 * properly with a call to rewind_posts().
                 */
                if (have_posts())
                    the_post();
                ?>
                <h1 class="page-title author"><?php printf(__('Author Archives: %s', 'dzonia-lite'), "<span class='vcard'><a class='url fn n' href='" . get_author_posts_url(get_the_author_meta('ID')) . "' title='" . esc_attr(get_the_author()) . "' rel='me'>" . get_the_author() . "</a></span>"); ?></h1>
                <?php
// If a user has filled out their description, show a bio on their entries.
                if (get_the_author_meta('description')) :
                    ?>
                    <div id="entry-author-info">
                        <div id="author-avatar"> <?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('inkthemes_author_bio_avatar_size', 60)); ?> </div>
                        <!-- #author-avatar -->
                        <div id="author-description">
                            <h2><?php printf(__('About %s', 'dzonia-lite'), get_the_author()); ?></h2>
                            <?php the_author_meta('description'); ?>
                        </div>
                        <!-- #author-description	-->
                    </div>
                    <!-- #entry-author-info -->
                <?php endif; ?>
                <?php
                /* Since we called the_post() above, we need to
                 * rewind the loop back to the beginning that way
                 * we can run the loop properly, in full.
                 */
                rewind_posts();
                /* Run the loop for the author archive page to output the authors posts
                 * If you want to overload this in a child theme then include a file
                 * called loop-author.php and that will be used instead.
                 */
                get_template_part('loop', 'author');
                ?>
                <div class="clear"></div>
                <nav id="nav-single"> <span class="nav-previous">
                        <?php next_posts_link(__('&larr; Older posts', 'dzonia-lite')); ?>
                    </span> <span class="nav-next">
            <?php previous_posts_link(__('Newer posts &rarr;', 'dzonia-lite')); ?>
                    </span> </nav>
            </div>
            <!--End Content-->
        </div>
        <div class="grid_6 omega">
        <?php get_sidebar(); ?>
        </div>
    </div>
    <!--End Content Wrapper-->
    <?php get_footer(); ?>