<?php

class inkthemes_Customizer {

    public static function inkthemes_Register($wp_customize) {

        self::inkthemes_Sections($wp_customize);

        self::inkthemes_Controls($wp_customize);
    }

    public static function inkthemes_Sections($wp_customize) {

        /**
         * Add panel for home page feature area
         */
        $wp_customize->add_panel('general_setting_panel', array(
            'title' => __('General Settings', 'dzonia-lite'),
            'description' => __('Allows you to setup home page feature area section for Dzonia Theme.', 'dzonia-lite'),
            'priority' => '10',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Site Title Section
         */
        $wp_customize->add_section('title_tagline', array(
            'title' => __('Site Title & Tagline', 'dzonia-lite'),
            'priority' => '',
            'panel' => 'general_setting_panel'
        ));

        /**
         * Remove control for site icon
         */
        $wp_customize->remove_control('site_icon');

        /**
         * Logo and favicon section
         */
        $wp_customize->add_section('logo_fevi_setting', array(
            'title' => __('Logo & Favicon', 'dzonia-lite'),
            'description' => __('Allows you to customize header logo, favicon settings for Dzonia Theme.', 'dzonia-lite'), //Descriptive tooltip
            'panel' => 'general_setting_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home page setting panel
         */
        $wp_customize->add_panel('home_page_setting', array(
            'title' => __('Home Page Settings', 'dzonia-lite'),
            'description' => __('Allows you to setup home page for Dzonia Theme.', 'dzonia-lite'),
            'priority' => '11',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Home Page top section 
         */
        $wp_customize->add_section('home_page_top_section', array(
            'title' => __('Home Page Top Section', 'dzonia-lite'),
            'description' => __('Allows you to setup home page top section for Dzonia Theme.', 'dzonia-lite'), //Descriptive tooltip
            'panel' => 'home_page_setting',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page main Heading
         */
        $wp_customize->add_section('home_page_main_heading', array(
            'title' => __('Home Page Heading', 'dzonia-lite'),
            'description' => __('Allows you to setup home page main heading for Dzonia Theme.', 'dzonia-lite'), //Descriptive tooltip
            'panel' => 'home_page_setting',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home page blog section
         */
        $wp_customize->add_section('home_page_blog_setting', array(
            'title' => __('Home Page Blog Section', 'dzonia-lite'),
            'description' => __('Allows you to setup home page blog section for Dzonia Theme.', 'dzonia-lite'), //Descriptive tooltip
            'panel' => 'home_page_setting',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page Feature area panel
         */
        $wp_customize->add_panel('home_feature_area_panel', array(
            'title' => __('Feature Area Settings', 'dzonia-lite'),
            'description' => __('Allows you to setup home page feature area section for Dzonia Theme.', 'dzonia-lite'),
            'priority' => '12',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_1', array(
            'title' => __('First Feature Area', 'dzonia-lite'),
            'description' => __('Allows you to setup first feature area section for Dzonia Theme.', 'dzonia-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_2', array(
            'title' => __('Second Feature Area', 'dzonia-lite'),
            'description' => __('Allows you to setup second feature area section for Dzonia Theme.', 'dzonia-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_3', array(
            'title' => __('Third Feature Area', 'dzonia-lite'),
            'description' => __('Allows you to setup third feature area section for Dzonia Theme.', 'dzonia-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Social Site link section
         */
        $wp_customize->add_section('social_network_section', array(
            'title' => __('Social Site links', 'dzonia-lite'),
            'description' => __('Allows you to setup social Site links for Dzonia Theme.', 'dzonia-lite'),
            'priority' => '13',
            'panel' => ''
        ));

        /**
         * Add panel for styling option
         */
        $wp_customize->add_panel('style_setting', array(
            'title' => __('Style Settings', 'dzonia-lite'),
            'description' => __('Allows you to setup Theme text and Background color for Dzonia Theme.', 'dzonia-lite'),
            'priority' => '14',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Background color Section
         */
        $wp_customize->add_section('colors', array(
            'title' => __('Background color Setting', 'dzonia-lite'),
            'description' => __('Allows you to change Background color for Dzonia Theme. This only works when no any image set as background image.', 'dzonia-lite'),
            'priority' => '',
            'panel' => 'style_setting'
        ));

        /**
         * Background Image Section
         */
        $wp_customize->add_section('background_image', array(
            'title' => __('Background Image setting', 'dzonia-lite'),
            'description' => __('Allows you to change background image for Dzonia Theme. This will overright the background color property', 'dzonia-lite'),
            'priority' => '',
            'panel' => 'style_setting'
        ));

        /**
         * Style Section
         */
        $wp_customize->add_section('custom_style_section', array(
            'title' => __('Custom Style Setting', 'dzonia-lite'),
            'description' => __('Allows you to change style using custom css for Dzonia Theme.', 'dzonia-lite'),
            'panel' => 'style_setting',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
    }

    public static function inkthemes_Section_Content() {

        $section_content = array(
            'logo_fevi_setting' => array(
                'inkthemes_logo',
                'inkthemes_favicon'
            ),
            'home_page_top_section' => array(
                'inkthemes_slideimage1',
                'inkthemes_slideheading1',
                'inkthemes_slidedescription1',
                'inkthemes_slidelink1'
            ),
            'home_page_main_heading' => array(
                'inkthemes_mainheading'
            ),
            'home_page_blog_setting' => array(
                'inkthemes_home_blog',
                'inkthemes_blog_switch'
            ),
            'home_feature_area_1' => array(
                'inkthemes_wimg1',
                'inkthemes_headline1',
                'inkthemes_feature1',
                'inkthemes_link1'
            ),
            'home_feature_area_2' => array(
                'inkthemes_fimg2',
                'inkthemes_headline2',
                'inkthemes_feature2',
                'inkthemes_link2'
            ),
            'home_feature_area_3' => array(
                'inkthemes_fimg3',
                'inkthemes_headline3',
                'inkthemes_feature3',
                'inkthemes_link3'
            ),
            'social_network_section' => array(
                'inkthemes_linked',
                'inkthemes_flickr',
                'inkthemes_facebook',
                'inkthemes_digg',
                'inkthemes_youtube',
                'inkthemes_twitter',
                'inkthemes_stumble',
                'inkthemes_skype'
            ),
            'custom_style_section' => array(
                'inkthemes_customcss'
            ),
        );
        return $section_content;
    }

    public static function inkthemes_Settings() {

        $theme_settings = array(
            'inkthemes_logo' => array(
                'id' => 'inkthemes_options[inkthemes_logo]',
                'label' => __('Custom Logo', 'dzonia-lite'),
                'description' => __('Upload a logo for your Website. The recommended size for the logo is 170px width x 30px height.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/logo.png'
            ),
            'inkthemes_favicon' => array(
                'id' => 'inkthemes_options[inkthemes_favicon]',
                'label' => __('Custom Favicon', 'dzonia-lite'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'inkthemes_slideimage1' => array(
                'id' => 'inkthemes_options[inkthemes_slideimage1]',
                'label' => __('Top Section Image', 'dzonia-lite'),
                'description' => __('Choose Image for your Home page top section image. Optimal Size: 950px x 350px', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'inkthemes_slideheading1' => array(
                'id' => 'inkthemes_options[inkthemes_slideheading1]',
                'label' => __('Top Section Caption Heading', 'dzonia-lite'),
                'description' => __('Enter the Heading for Top section caption', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_slidelink1' => array(
                'id' => 'inkthemes_options[inkthemes_slidelink1]',
                'label' => __('Top Section Link', 'dzonia-lite'),
                'description' => __('Enter the Link URL for Home Page Top section', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_slidedescription1' => array(
                'id' => 'inkthemes_options[inkthemes_slidedescription1]',
                'label' => __('Top Section Caption Description', 'dzonia-lite'),
                'description' => __('Enter the Description for Home Top Section Caption', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_mainheading' => array(
                'id' => 'inkthemes_options[inkthemes_mainheading]',
                'label' => __('Home Page Heading', 'dzonia-lite'),
                'description' => __('Enter your heading text for home page', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_home_blog' => array(
                'id' => 'inkthemes_options[inkthemes_home_blog]',
                'label' => __('Home Page Blog Heading', 'dzonia-lite'),
                'description' => __('Enter your text for home Page blog heading section', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_blog_switch' => array(
                'id' => 'inkthemes_options[inkthemes_blog_switch]',
                'label' => __('Blog Section On/Off', 'dzonia-lite'),
                'description' => __('Turn on or off the home page blog section as per your requirement.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'off',
                'choices' => array(
                    'on' => 'On',
                    'off' => 'Off'
                )
            ),
            'inkthemes_wimg1' => array(
                'id' => 'inkthemes_options[inkthemes_wimg1]',
                'label' => __('First Feature Image', 'dzonia-lite'),
                'description' => __('Choose image for your feature column first. Optimal size 284px x 123px', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'inkthemes_headline1' => array(
                'id' => 'inkthemes_options[inkthemes_headline1]',
                'label' => __('First Feature Heading', 'dzonia-lite'),
                'description' => __('Enter text for first feature area heading.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_feature1' => array(
                'id' => 'inkthemes_options[inkthemes_feature1]',
                'label' => __('First Feature Description', 'dzonia-lite'),
                'description' => __('Enter text for first feature area description.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_link1' => array(
                'id' => 'inkthemes_options[inkthemes_link1]',
                'label' => __('First feature Link', 'dzonia-lite'),
                'description' => __('Enter link url for first feature area.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'inkthemes_fimg2' => array(
                'id' => 'inkthemes_options[inkthemes_fimg2]',
                'label' => __('Second Feature Image', 'dzonia-lite'),
                'description' => __('Choose image for your feature column second. Optimal size 284px x 123px', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'inkthemes_headline2' => array(
                'id' => 'inkthemes_options[inkthemes_headline2]',
                'label' => __('Second Feature Heading', 'dzonia-lite'),
                'description' => __('Enter text for second feature area heading.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_feature2' => array(
                'id' => 'inkthemes_options[inkthemes_feature2]',
                'label' => __('Second Feature Description', 'dzonia-lite'),
                'description' => __('Enter text for second feature area description.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_link2' => array(
                'id' => 'inkthemes_options[inkthemes_link2]',
                'label' => __('Second feature Link', 'dzonia-lite'),
                'description' => __('Enter link url for second feature area.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'inkthemes_fimg3' => array(
                'id' => 'inkthemes_options[inkthemes_fimg3]',
                'label' => __('Third Feature Image', 'dzonia-lite'),
                'description' => __('Choose image for your feature column third. Optimal size 284px x 123px', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'inkthemes_headline3' => array(
                'id' => 'inkthemes_options[inkthemes_headline3]',
                'label' => __('Third Feature Heading', 'dzonia-lite'),
                'description' => __('Enter text for third feature area heading.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_feature3' => array(
                'id' => 'inkthemes_options[inkthemes_feature3]',
                'label' => __('Third Feature Description', 'dzonia-lite'),
                'description' => __('Enter text for third feature area description.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'inkthemes_link3' => array(
                'id' => 'inkthemes_options[inkthemes_link3]',
                'label' => __('Third feature Link', 'dzonia-lite'),
                'description' => __('Enter link url for third feature area.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'inkthemes_facebook' => array(
                'id' => 'inkthemes_options[inkthemes_facebook]',
                'label' => __('Facebook URL', 'dzonia-lite'),
                'description' => __('Enter your Facebook URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_twitter' => array(
                'id' => 'inkthemes_options[inkthemes_twitter]',
                'label' => __('Twitter URL', 'dzonia-lite'),
                'description' => __('Enter your Twitter URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_linked' => array(
                'id' => 'inkthemes_options[inkthemes_linked]',
                'label' => __('LinkedIn URL', 'dzonia-lite'),
                'description' => __('Enter your Linkedin URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_stumble' => array(
                'id' => 'inkthemes_options[inkthemes_stumble]',
                'label' => __('StumbleUpon URL', 'dzonia-lite'),
                'description' => __('Enter your Stumble Upon URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_digg' => array(
                'id' => 'inkthemes_options[inkthemes_digg]',
                'label' => __('Digg URL', 'dzonia-lite'),
                'description' => __('Enter your Stumble Upon URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_flickr' => array(
                'id' => 'inkthemes_options[inkthemes_flickr]',
                'label' => __('Flickr URL', 'dzonia-lite'),
                'description' => __('Enter your Flickr URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_youtube' => array(
                'id' => 'inkthemes_options[inkthemes_youtube]',
                'label' => __('Youtube URL', 'dzonia-lite'),
                'description' => __('Enter your Youtube URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_skype' => array(
                'id' => 'inkthemes_options[inkthemes_skype]',
                'label' => __('Skype URL', 'dzonia-lite'),
                'description' => __('Enter your Skype URL if you have one', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'inkthemes_customcss' => array(
                'id' => 'inkthemes_options[inkthemes_customcss]',
                'label' => __('Custom CSS', 'dzonia-lite'),
                'description' => __('Quickly add your custom CSS code to your theme by writing the code in this block.', 'dzonia-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            )
        );
        return $theme_settings;
    }

    public static function inkthemes_Controls($wp_customize) {

        $sections = self::inkthemes_Section_Content();
        $settings = self::inkthemes_Settings();

        foreach ($sections as $section_id => $section_content) {

            foreach ($section_content as $section_content_id) {

                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    default:
                        break;
                }
            }
        }
    }

    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('inkthemes_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package inkthemes
     */
    public static function inkthemes_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package inkthemes
     */
    public static function inkthemes_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package inkthemes
     */
    public static function inkthemes_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package inkthemes
     */
    public static function inkthemes_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : select
     * @package inkthemes
     */
    public static function inkthemes_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package inkthemes
     */
    public static function inkthemes_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

}

// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('inkthemes_Customizer', 'inkthemes_Register'));

function inkthemes_registers() {
    wp_register_script('inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
    wp_register_script('inkthemes_customizer_script', get_template_directory_uri() . '/functions/js/inkthemes_customizer.js', array("jquery", "inkthemes_jquery_ui"), true);
    wp_enqueue_script('inkthemes_customizer_script');
    wp_localize_script('inkthemes_customizer_script', 'ink_advert', array(
        'pro' => __('View PRO version', 'dzonia-lite'),
        'url' => esc_url('http://www.inkthemes.com/wp-themes/wordpress-mobile-theme/')
    ));
}

add_action('customize_controls_enqueue_scripts', 'inkthemes_registers');
